<?php
namespace MediaEssenz\Domaincheck\Controller;

use MediaEssenz\Domaincheck\Domain\Repository\TldRepository;
use TYPO3\CMS\Core\Utility\GeneralUtility;

class AbstractController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{
    /**
     * @var array
     */
    protected $extConf = [];

    /**
     * @var \MediaEssenz\Domaincheck\Domain\Repository\TldRepository
     */
    protected $tldRepository;

    /**
     * inject the tldRepository
     *
     * @param \MediaEssenz\Domaincheck\Domain\Repository\TldRepository $tldRepository
     * @return void
     */
    public function injectTldRepository(TldRepository $tldRepository)
    {
        $this->tldRepository = $tldRepository;
    }

    public function initializeAction()
    {
        $this->extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['domaincheck']);
        parent::initializeAction();
    }

    /**
     * @param string $tlds
     * @return array|\TYPO3\CMS\Extbase\Persistence\QueryResultInterface
     */
    public function getTlds($tlds = '')
    {
        if ($tlds) {
            return $this->tldRepository->findByUids(GeneralUtility::trimExplode(',', $tlds, true));
        } else {
            return $this->tldRepository->findAll();
        }
    }

}