<?php
namespace MediaEssenz\Domaincheck\Controller;

use MediaEssenz\Domaincheck\Service\WhoisService;
use TYPO3\CMS\Extbase\Mvc\View\JsonView;
use TYPO3\CMS\Extbase\Mvc\Web\Routing\UriBuilder;

/**
 * Class Check
 * @package MediaEssenz\Domaincheck\Controller
 */
class CheckController extends \MediaEssenz\Domaincheck\Controller\AbstractController
{

    /**
     * @var string
     */
    protected $defaultViewObjectName = JsonView::class;

    /**
     * @plugin Check
     * @noCache
     */
    public function checkAction()
    {
        $check = $this->request->getArgument('check');
        if ($check['tld']) {
            $this->settings['tlds'] = implode(',', $check['tld']);
        }
        $tlds = $this->getTlds($this->settings['tlds']);
        $whoisResponse = WhoisService::checkDomains($check['sld'], $tlds, $this->extConf);

        /** @var UriBuilder $uriBuilder */
        $uriBuilder = $this->objectManager->get(UriBuilder::class);
        $orderPage = $uriBuilder->setTargetPageUid($this->settings['orderPage'])->setUseCacheHash(false)->setCreateAbsoluteUri(true)->build();

        $this->view->assign('value', [
            'result' => 'OK',
            'whoisResponse' => $whoisResponse,
            'orderPage' => $orderPage
        ]);
    }

}