<?php
namespace MediaEssenz\Domaincheck\Service;

use MediaEssenz\Domaincheck\Domain\Model\Tld;
use MediaEssenz\Domaincheck\Utility\CheckUtility;

class WhoisService
{

    /**
     * @param string $sld
     * @param array $tlds
     * @param array $extConf
     *
     * @return array
     */
    public static function checkDomains($sld, $tlds, $extConf)
    {

        $sld = trim(strtolower($sld));

        // remove www. if set
        if (strpos($sld, 'www.') === 0) {
            $sld = substr($sld, 4);
        }

        // remove .tld from sld if set
        if ($pos = strpos($sld, '.')) {
            $sld = substr($sld, 0, $pos);
        }

        $whoisCommand = $extConf['whois_command'];
        $whoisProxy = $extConf['proxy.'];

        foreach ($tlds as $tld) {
            /** @var Tld $tld */
            $domain = strtolower($sld . '.' . $tld->getTld());
            $whoisResponse[] = [
                'domain' => $domain,
                'response' => CheckUtility::checkResponse(
                    shell_exec($whoisCommand . ' -h ' . $whoisProxy['server'] . ' ' . idn_to_ascii($domain)),
                    $whoisProxy,
                    ['###DOMAIN###' => $domain]
                )
            ];
        }

        return $whoisResponse;
    }

}
