<?php
namespace MediaEssenz\Domaincheck\Utility;

class CheckUtility
{
    /**
     * @param string $response
     * @param array $whois
     * @param array $marker
     * @return string
     */
    public static function checkResponse($response, $whois, $marker)
    {
        foreach ($marker as &$mark) {
            $mark = preg_quote($mark);
        }

        if (preg_match('/' . strtr($whois['regex_free'], $marker) . '/i', $response)) {
            $status = "available";
        } elseif (!empty($whois['regex_invalid']) && preg_match('/' . strtr($whois['regex_invalid'], $marker) . '/i', $response)) {
            $status = 'sld_invalid';
        } elseif (empty($whois['regex_registered']) || (!empty($whois['regex_registered']) && preg_match('/' . strtr($whois['regex_registered'], $marker) . '/i', $response))) {
            $status = "registered";
        } else {
            $status = 'tld_invalid';
        }
        return $status;
    }


}